Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKCollectionMappingHelper

`java.lang.Object
oracle.toplink.sdk.SDKCollectionMappingHelper`

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKCollectionMappingHelper
extends java.lang.Object

Helper class to consolidate all the heinous comparing and merging code for the SDK collection mappings.

Since:
  TOPLink/Java 3.0
See Also:
  `SDKAggregateCollectionMapping`, `SDKObjectCollectionMapping`, `SDKDirectCollectionMapping`

Constructor Summary
`SDKCollectionMappingHelper(SDKCollectionMapping mapping)` Deprecated. Constructor.

Method Summary
`void` | `simpleAddToCollectionChangeRecord(java.lang.Object referenceKey, java.lang.Object changeSetToAdd, ObjectChangeSet changeSet, Session session)` Deprecated. ADVANCED: This method is used to add an object to a collection once the changeSet is applied.
`void` | `simpleRemoveFromCollectionChangeRecord(java.lang.Object referenceKey, java.lang.Object changeSetToRemove, ObjectChangeSet changeSet, Session session)` Deprecated. ADVANCED: This method is used to remove an object from a collection once the changeSet is applied.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDKCollectionMappingHelper

    public SDKCollectionMappingHelper(SDKCollectionMapping mapping)

  Deprecated.
  Constructor.

Method Detail

### simpleAddToCollectionChangeRecord

    public void simpleAddToCollectionChangeRecord(java.lang.Object referenceKey,
                                                  java.lang.Object changeSetToAdd,
                                                  ObjectChangeSet changeSet,
                                                  Session session)

  Deprecated.
  ADVANCED: This method is used to add an object to a collection once the changeSet is applied. The referenceKey parameter should only be used for direct Maps.

### simpleRemoveFromCollectionChangeRecord

    public void simpleRemoveFromCollectionChangeRecord(java.lang.Object referenceKey,
                                                       java.lang.Object changeSetToRemove,
                                                       ObjectChangeSet changeSet,
                                                       Session session)

  Deprecated.
  ADVANCED: This method is used to remove an object from a collection once the changeSet is applied. The referenceKey parameter should only be used for direct Maps.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD